from siege.util import TileVector


class TerraformOption(object):
    def __init__(self, name, tileSize):
        self.name = name
        self.size = tileSize
        self.ground = None
        self.wall = None

    def create(self):
        self.onCreate(self)


def handleTerraformOptions(options):
    options.append(TerraformOption("Small", TileVector(2048, 1024)))
    options.append(TerraformOption("Medium", TileVector(4096, 1536)))
    options.append(TerraformOption("Large", TileVector(8192, 2048)))
